<!-- -*- mode:django-html -*- -->
<!-- index.html -->

{% extends 'media/base.html' %}

{% load crispy_forms_tags %}
{% load fontawesome_5 %}

{% block content %}

{% if seen_list %}
<div class="container-fluid">
  <ul>
    {% for seen in seen_list %}
    <li>{{ seen.date }}:
    <button
  role="button"
  class="bs-modal delete-seen btn btn-sm btn-danger"
  data-bs-toggle="collapse"
  href="#collapse_delete_{{ seen.id }}"
  aria-expanded="false"
  aria-controls="collapse_delete_{{ seen.id }}"
>
  {% fa5_icon 'trash' %}
    </button>
    <a href="{{ seen.watch_item.imdb_url|safe }}" target="_blank" role="button" class="bs-modal btn btn-sm btn-info">
      <img title="Infos on IMDB" src="/static/media/IMDB.png" alt="IMDB" width="15" height="15"></a>
      {% spaceless %}
        {% if seen.watch_item.item_type is watch_item_types.SeriesEpisode %}
          {{ seen.watch_item.season.series.title }},
        {% endif %}
        <a href="{% url 'edit_seen' seen.pk %}">{{ seen.watch_item.title }}</a>
        {% if seen.watch_item.item_type is watch_item_types.SeriesEpisode %}
          , s{{ seen.watch_item.season.season }}e{{ seen.watch_item.episode }}
          {% if watch_item.sub_episode %}.{{ watch_item.sub_episode }}{% endif %}
        {% endif %}
      {% endspaceless %}
      <a href="medium/{{ seen.watch_item.medium.id }}/">({{ seen.media_type }})</a>
    <div class="collapse" id="collapse_delete_{{ seen.id }}">
      <div class="card card-body">
    <form method="POST" action="{% url 'delete_seen' seen.id %}">{% csrf_token %}
      <h3>Delete Seen</h3>
      <p class="delete-text">Are you sure you want to delete seen entry with title
      <strong>
        {% if seen.watch_item.item_type is watch_item_types.SeriesEpisode %}
          {{ seen.watch_item.season.series.title }}, {{ seen.watch_item.title }}
          {% if seen.watch_item.sub_episode %}
            s{{ seen.watch_item.season.season }}e{{ seen.watch_item.episode }}.{{ seen.watch_item.sub_episode }}
          {% else %}
            s{{ seen.watch_item.season.season }}e{{ seen.watch_item.episode }}
          {% endif %}
        {% else %}
          {{ seen.watch_item.title }}
        {% endif %}
      </strong>?</p>
      <button class="submit btn btn-danger">Delete</button>
    </form>
  </div>
</div>
    </li>

    {% endfor %}
  </ul>
  {% else %}
  <p>No seen items.</p>
  {% endif %}
</div>

<div class="pagination">
  <span class="step-links">
    {% if page_obj.has_previous %}
    <a href="?page=1">&laquo; first</a>
    <a href="?page={{ page_obj.previous_page_number }}">previous</a>
    {% endif %}

    <span class="current">
      Page {{ page_obj.number }} of {{ page_obj.paginator.num_pages }}.
    </span>

    {% if page_obj.has_next %}
    <a href="?page={{ page_obj.next_page_number }}">next</a>
    <a href="?page={{ page_obj.paginator.num_pages }}">last &raquo;</a>
    {% endif %}
  </span>
</div>

{% endblock content %}

{% block extrascripts %}
<script type="text/javascript">
  $(function () {

    // Read and Delete seen buttons open modal with id="modal"
    // The formURL is retrieved from the data of the element
    $(".bs-modal").each(function () {
       $(this).modalForm({formURL: $(this).data("form-url")});
    });

    // Hide message
    $(".alert").fadeTo(2000, 500).slideUp(500, function () {
      $(".alert").slideUp(500);
    });

    // delete seen buttons
    $(".delete-seen").each(function () {
      $(this).modalForm({
        modalID: "#modal-crud",
        formURL: $(this).data('id')
      });
    });

    // hide message
    $(".alert").fadeTo(2000, 500).slideUp(500, function(){
      $(".alert").slideUp(500);
    });

    // autofocus to first input field of a modal
    $('.bs-modal').on('shown.bs.modal', function () {
      $('form').find('input[type=text]').filter(':visible:first').focus();
    });
  });
</script>
{% endblock extrascripts %}

<!-- index.html (END) -->
